// py_ex_call_static_method.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include <eter/py_tinker.h>

py_tinker::object g_inst;

void SetInst(PyObject* poInst)
{
	using namespace py_tinker;

	g_inst = poInst;
	g_inst.call_method("TestStaticMethod", 1, 2);
}	

void initeter()
{
	py_tinker::module_("eter")
		.defv("SetInst", SetInst)
		;
}

int main(int argc, char* argv[])
{
	Py_Initialize();
	Py_SetProgramName((char*)"py_test");
			
	initeter();
	py_tinker::PyEmbed_RunMainFile("ex_call_static_method.py");

	g_inst = Py_None;

	Py_Finalize();	

	return 0;
}
